function assetConfig(api) {
  api.injectWebpackConfig((config) => {
    config.module.rule("\u7F16\u8BD1 SVG \u6587\u4EF6").test(/\.(svg)(\?.*)?$/).set("type", "asset/resource").set("generator", {
      filename: `img/[name].[hash:8][ext]`
    }).end();
    config.module.rule("\u7F16\u8BD1 \u56FE\u7247 \u6587\u4EF6").test(/\.(png|jpe?g|gif|webp|avif)(\?.*)?$/).set("type", "asset").set("generator", {
      filename: `img/[name].[hash:8][ext]`
    }).end();
    config.module.rule("\u7F16\u8BD1 \u89C6\u9891 \u6587\u4EF6").test(/\.(mp4|webm|ogg|mp3|wav|flac|aac)(\?.*)?$/).set("type", "asset").set("generator", {
      filename: `media/[name].[hash:8][ext]`
    }).end();
    config.module.rule("fonts").test(/\.(woff2?|eot|ttf|otf)(\?.*)?$/i).set("type", "asset").set("generator", {
      filename: `fonts/[name].[hash:8][ext]`
    });
  });
}

export { assetConfig as default };
