import { HotModuleReplacementPlugin } from 'webpack';
import ReactRefreshPlugin from '@pmmmwh/react-refresh-webpack-plugin';

function devServerConfig(api) {
  api.injectWebpackConfig((config) => {
    config.plugin("\u70ED\u66F4\u65B0").use(HotModuleReplacementPlugin).end().plugin("react \u70ED\u91CD\u8F7D").use(ReactRefreshPlugin, [
      {
        overlay: true
      }
    ]).end();
  });
}

export { devServerConfig as default };
