'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var HtmlWebpackPlugin = require('html-webpack-plugin');

function htmlConfig(api) {
  api.injectWebpackConfig((config) => {
    config.module.rule("\u7F16\u8BD1 HTML").test(/\.html$/).use("html-loader").loader(require.resolve("html-loader")).end();
    config.plugin("HtmlWebpackPlugin").use(HtmlWebpackPlugin, [
      {
        template: api.resolve("public/index.html"),
        scriptLoading: "defer"
      }
    ]).end();
  });
}

exports.default = htmlConfig;
