'use strict';

var index = require('./node_modules/.pnpm/chalk@5.2.0/node_modules/chalk/source/index.js');
require('readline');
var index$1 = require('./node_modules/.pnpm/r2.cnpmjs.org_strip-ansi@7.0.1/node_modules/strip-ansi/index.js');

const pureStack = (msg) => {
  const stack = (msg.stack || "").replace(msg.message, "");
  const pureStack2 = stack.split("\n").slice(1).join("\n");
  console.error();
  console.error(pureStack2);
};
const chalkTag = (msg) => index.default.bgBlackBright.white.dim(` ${msg} `);
const format = (label, msg) => {
  return msg.split("\n").map((line, i) => {
    return i === 0 ? `${label} ${line}` : `${" ".repeat(index$1.default(label).length + 1)}${line}`;
  }).join("\n");
};
function error(msg, tag, stack = true) {
  console.error(
    format(
      index.default.bgRed(" ERROR ") + (tag ? chalkTag(tag) : ""),
      index.default.red(msg instanceof Error ? msg.message : msg)
    )
  );
  if (msg instanceof Error && stack) {
    pureStack(msg);
  }
}
function info(msg, tag) {
  console.log(
    format(
      index.default.bgBlue.black(" INFO ") + (tag ? chalkTag(tag) : ""),
      msg instanceof Error ? msg.message : msg
    )
  );
}

exports.error = error;
exports.info = info;
