import './packages/shared/build/esm/node_modules/.pnpm/chalk@5.2.0/node_modules/chalk/source/index.mjs';
import 'readline';
import './packages/shared/build/esm/loading.mjs';
import './packages/shared/build/esm/node_modules/.pnpm/semver@7.5.1/node_modules/semver/index.mjs';
import 'path';
import './packages/shared/build/esm/node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/index.mjs';
import 'node:fs';
import 'node:fs/promises';
import 'node:path';
import 'node:url';
import './packages/shared/build/esm/node_modules/.pnpm/parse-json@7.0.0_typescript@5.0.4/node_modules/parse-json/index.mjs';
import './packages/shared/build/esm/node_modules/.pnpm/normalize-package-data@5.0.0/node_modules/normalize-package-data/lib/normalize.mjs';
import 'child_process';
import { isTrue } from './packages/shared/build/esm/data-type-judgment.mjs';
import './packages/shared/build/esm/node_modules/.pnpm/esbuild@0.17.18/node_modules/esbuild/lib/main.mjs';
import 'module';

function cacheConfig(api) {
  api.injectWebpackConfig((config) => {
    if (!isTrue(api.adcConfig.cache))
      return;
    config.cache({
      type: "filesystem",
      // 将 cache 类型设置为内存或者文件系统。
      store: "pack",
      // 当编译器闲置时候，将缓存数据都存放在一个文件中
      cacheDirectory: api.resolve("node_modules/.adc_webpack_cache"),
      name: api.mode
    });
  });
}

export { cacheConfig as default };
