const isString = (value) => {
  return Object.prototype.toString.call(value) === "[object String]" /* String */;
};
const isBoolean = (value) => {
  return Object.prototype.toString.call(value) === "[object Boolean]" /* Boolean */;
};
const isTrue = (value) => {
  return isBoolean(value) && value === true;
};
const isPureObject = (value) => {
  return Object.prototype.toString.call(value) === "[object Object]" /* Object */;
};

export { isBoolean, isPureObject, isString, isTrue };
