'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('./packages/shared/build/esm/node_modules/.pnpm/chalk@5.2.0/node_modules/chalk/source/index.js');
require('readline');
require('./packages/shared/build/esm/loading.js');
require('./packages/shared/build/esm/node_modules/.pnpm/semver@7.5.1/node_modules/semver/index.js');
require('path');
require('./packages/shared/build/esm/node_modules/.pnpm/fs-extra@11.1.1/node_modules/fs-extra/lib/index.js');
require('node:fs');
require('node:fs/promises');
require('node:path');
require('node:url');
require('./packages/shared/build/esm/node_modules/.pnpm/parse-json@7.0.0_typescript@5.0.4/node_modules/parse-json/index.js');
require('./packages/shared/build/esm/node_modules/.pnpm/normalize-package-data@5.0.0/node_modules/normalize-package-data/lib/normalize.js');
require('child_process');
var dataTypeJudgment = require('./packages/shared/build/esm/data-type-judgment.js');
require('./packages/shared/build/esm/node_modules/.pnpm/esbuild@0.17.18/node_modules/esbuild/lib/main.js');
require('module');
var webpack = require('webpack');

function moduleFederationConfig(api) {
  api.injectWebpackConfig((config) => {
    if (!dataTypeJudgment.isPureObject(api.adcConfig.moduleFederation))
      return;
    config.plugin("\u6A21\u5757\u8054\u90A6").use(webpack.container.ModuleFederationPlugin, [
      api.adcConfig.moduleFederation || {}
    ]).end();
  });
}

exports.default = moduleFederationConfig;
